/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { FlowModel } from '@nocobase/flow-engine';
import React from 'react';
import { BlockGridModel } from '../BlockGridModel';
export declare class BasePageTabModel extends FlowModel<{
    subModels: {
        grid: BlockGridModel;
    };
}> {
    onInit(options: any): void;
    getTabTitle(defaultTitle?: string): any;
    getTabIcon(): any;
    renderChildren(): any;
    renderHiddenInConfig(): React.JSX.Element;
    render(): React.JSX.Element;
}
export declare class RootPageTabModel extends BasePageTabModel {
    renderChildren(): React.JSX.Element;
    saveStepParams(): Promise<void>;
    save(): Promise<void>;
    destroy(): Promise<boolean>;
}
export declare class ChildPageTabModel extends BasePageTabModel {
    renderChildren(): React.JSX.Element;
}
/**
 * @deprecated Use `BasePageTabModel` instead.
 */
export declare class PageTabModel extends FlowModel<{
    subModels: {
        grid: BlockGridModel;
    };
}> {
    render(): React.JSX.Element;
}
